MPI_Win_Test(3)

NAME
MPI_Win_Test - Test for progress on a window

SYNOPSIS
#include <mpi.h>
int MPI_Win_test(MPI_Win win, int *flag)

INPUT PARAMETERS
win - window (handle)

OUTPUT PARAMETERS
flag
    - (integer)

NOTES
This function is currently not implemented in LAM/MPI. It will return an MPI_ERR_OTHER run time error.

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

LOCATION
wtest.c